# charlie-lee-theme

A Jekyll theme created for my personal website [charlielee.uk](http://charlielee.uk). 

## Installation

Add this line to your Jekyll site's Gemfile:

```ruby
gem "charlie-lee-theme"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: charlie-lee-theme
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install charlie-lee-theme

## Usage

### Layouts

#### page

The default layout. If an `img` is specified it will displayed behind the title.

```yaml
---
title: Page Name
layout: page
---
Page contents.
```

#### post

Creates a page with the page's author and date of creation displayed. If an `img` is specified it will displayed behind the title.

```yaml
---
title: Post Name
author: John Smith
categories:
  - Announcements
layout: post
---
Post contents.
```

#### home

* Creates a page with a grid displaying recent posts. The content entered on the page will be displayed as text in the page's hero image.
* If an `img` is specified it will used as the hero image.
* If a `collection` is specified, the pages in that will be displayed instead of the recent posts.

```yaml
---
title: Home
layout: home
collection: posts
img: assets/image.png
---
Hero image text.
```

#### category

Creates a page listing the posts in the category matching the `title` of the page. If an `img` is specified it will displayed behind the title.

```yaml
---
title: Category Name
layout: category
---
Category description text.
```

#### feed

Creates a page of a specified `type` listing the posts in the category matching the `title` of the page.

Currently the only possible value for type is `json`.

Note: the file extension of a page that is type `feed` should match the type in the file.

```yaml
---
title: Category Name
layout: feed
type: json
---
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/BoatsAreRockable/charlie-lee-theme.

## Development

To set up your environment to develop this theme, run `git clone https://github.com/BoatsAreRockable/charlie-lee-theme` and `bundle install`.

## License

The theme is available as open source under the terms of the [GPL-3.0 License](https://opensource.org/licenses/GPL-3.0).

